#{extends 'borderNG.html' /}

#{set 'titleHead'}
&{'beranda.beranda_penyedia'}
#{/set}
<div class="container">
#{alert /}
</div>

#{if status_aktivasi}
<div class="alert alert-danger">
&{'beranda.akun_belum_aktif'}
</div>
#{/if}
<div class="container">
    <ul id="tabs" class="nav nav-tabs faq-cat-tabs" role="tablist">
        <li>
            <a href="@{BerandaCtr.index()}">&{'beranda.tender'}</a>
        </li>
        <li>
            <a href="@{BerandaCtr.nonLelang()}">&{'beranda.nontender'}</a>
        </li>
        #{if enableDevPartner}
            <li class="active">
                <a href="@{devpartner.BerandaDpCtr.index()}" data-toggle="tab">&{'beranda.dev_partner'}</a>
            </li>
        #{/if}
    </ul>

    <div class="content tab-content">
        <div class="tab-pane active" id="etendering">
            <div class="breadcrumb" style="background-color: #25B396 !important;">
                &{'beranda.status_tender'}
            </div>
            <div class="border" style="overflow: hidden;">
                #{if activated}
                <div style="margin-top:10px;margin-bottom:10px;margin-left:10px;">
                    <a name="@PageLink" title="RekananAktivasiKonfirmasi">&{'beranda.aktivasi_inaproc'}
                        <span title="ognl:formatDate(page.visit.aktivasi.aktivasi_date)">[tgl aktivasi]</span>
                    </a>
                </div>
                #{/if}
                #{if seleksiadmin}
                <div style="margin-top:10px;margin-bottom:10px;margin-left:10px;">
                    &{'beranda.msg_sedang_proses'}
                #{/if}
            </div>
             <table id="tblStatusLelang" class="table table-condensed ">
                    <thead>
                    <tr>
                        <th width="80">&{'beranda.kode_tender'}</th>
                        <th>&{'beranda.nama_tender'}</th>
                        <th width="130">&{'beranda.tahap'}</th>
                    </tr>
                    </thead>
                    <tbody>
                    </tbody>
             </table>
        </div>
    </div>
</div>
#{set 'css_custom' }
<link href="#{assets '/bootstrap/css/bootstrap-datatables.min.css'/}" rel="stylesheet" type="text/css">
#{/set}

#{set 'custom_script'}
<script type="text/javascript" src="#{assets '/bootstrap/js/bootstrap-datatables.min.js'/}"></script>
<script type="text/javascript">

var viewLelang = #{jsRoute @devpartner.LelangDpCtr.view(':id') /};
var viewTahap  = #{jsRoute @devpartner.JadwalDpCtr.tahap(':id') /};

$("#tblStatusLelang").dataTable({
        language: {
                "sLengthMenu":   "&{'menu.slengthmenu'} _MENU_ data",
                processing:   "&{'menu.processing'}",
                "sSearch":       "&{'menu.ssearch'}",
                "sInfo":         "&{'menu.sinfo1'} _START_ &{'menu.sinfo2'} _END_ &{'menu.sinfo3'} _TOTAL_ data",
                "sInfoEmpty":    "&{'menu.sinfo1'} 0 &{'menu.sinfo2'} 0 &{'menu.sinfo3'} 0 data"
        },
        order: [[ 0, "desc"]],
        ajax: "@{DataTableCtr.dataTableStatusLelangDp()}",
        columns: [null,{render: function(data, type, row) {
        	 	var id = row[0];
		   		var paket = row[1];

                var urlLelang =viewLelang.url({id:id});
                var urlTahap = viewTahap.url({id:id});

		    	row[1] = '<a href="'+urlLelang+'">'+ paket + '</a>';
		    	row[2] = '<a class="jpopup" href="'+urlTahap+'" >'+row[2]+'</a>';
		        return row[1];
        	}},{orderable:false}
        ]
    }).fnFilterOnReturn();
</script>
#{/set}